org.keycloak.authorization.model

## Enum Policy.FilterOption

- java.lang.Object
- - java.lang.Enum<Policy.FilterOption>
  - - org.keycloak.authorization.model.Policy.FilterOption

- All Implemented Interfaces:
    Serializable, Comparable<Policy.FilterOption>
  Enclosing interface:
    Policy

      public static enum Policy.FilterOption
      extends Enum<Policy.FilterOption>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY_OWNER`
    `CONFIG`
    `ID`
    `NAME`
    `OWNER`
    `PERMISSION`
    `RESOURCE_ID`
    `SCOPE_ID`
    `TYPE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `EMPTY_FILTER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `SearchableModelField<Policy>` | `getSearchableModelField()`
    `static Policy.FilterOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Policy.FilterOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final Policy.FilterOption ID

    - #### PERMISSION

          public static final Policy.FilterOption PERMISSION

    - #### OWNER

          public static final Policy.FilterOption OWNER

    - #### ANY_OWNER

          public static final Policy.FilterOption ANY_OWNER

    - #### RESOURCE_ID

          public static final Policy.FilterOption RESOURCE_ID

    - #### SCOPE_ID

          public static final Policy.FilterOption SCOPE_ID

    - #### CONFIG

          public static final Policy.FilterOption CONFIG

    - #### TYPE

          public static final Policy.FilterOption TYPE

    - #### NAME

          public static final Policy.FilterOption NAME

  - ### Field Detail

    - #### EMPTY_FILTER

          public static final String[] EMPTY_FILTER

  - ### Method Detail

    - #### values

          public static Policy.FilterOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Policy.FilterOption c : Policy.FilterOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Policy.FilterOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getSearchableModelField

          public SearchableModelField<Policy> getSearchableModelField()

Copyright © 2021 JBoss by Red Hat. All rights reserved.